SOURCES += \
	src/textfile.cpp \
	src/main.cpp

CONFIG += link_pkgconfig
CONFIG -= qt core gui
TEMPLATE = app

debug {
	DEFINES += DEBUG
}

linux-* {
	CONFIG += console
	QMAKE_CXXFLAGS += -std=c++11
	LIBS += -lGL -lGLU -lGLEW -lglut
}

macx {
	CONFIG += console
	QMAKE_CXXFLAGS += -std=c++11

	#CONFIG -= x86_64
	#CONFIG += x86
	#CONFIG -= app_bundle

	#LIBS += -L$${PWD}/lib/Trieng/lib/BASS/osx/
	#INCLUDEPATH += /Library/Frameworks/SDL2.framework/Headers
	#INCLUDEPATH += /Library/Frameworks/SDL2_image.framework/Headers
	#INCLUDEPATH += /Library/Frameworks/SDL2_ttf.framework/Headers
	#LIBS += -F/Library/Frameworks

	INCLUDEPATH += "/usr/local/include"
	LIBS += -L/usr/local/lib
	LIBS += -framework OpenGL
	LIBS += -framework Cocoa -lglut

	#PKGCONFIG += SDL2_image SDL2_ttf
	#LIBS += -framework,Cocoa -framework,OpenGL
	#LIBS += -lSDL2 -lSDL2_image -lSDL2_ttf -lSDL2main -lbass -lm
	#LIBS += -L/usr/local/lib
	#LIBS += -lGLEW -lSDL2 -lSDL2_image -lSDL2_ttf
	#LIBS += -lm -liconv -Wl,-framework,OpenGL -Wl,-framework,ForceFeedback -lobjc
	#LIBS += -Wl,-framework,Cocoa -Wl,-framework,Carbon -Wl,-framework,IOKit -Wl,-framework,CoreAudio
	#LIBS += -Wl,-framework,AudioToolbox -Wl,-framework,AudioUnit -lSDL2main

	#LIBS += -lbass
	#PKGCONFIG += pangocairo
}

win* {
	# You may need to edit DAHLIA_VC to match your installation.
	DAHLIA_VC = "E:\code\libraries\vc2012"
	INCLUDEPATH += "$$DAHLIA_VC\include"

	CONFIG += console
	QMAKE_CXXFLAGS += -std=c++11
}

win32:CONFIG(debug, debug|release) {
	LIBS += -L\"$$DAHLIA_VC\lib\Win32\Debug\" -lfreeglut -lglew32d -lglu32 -lopengl32

	DLL_DIR = "$$DAHLIA_VC\dll\Win32\Debug"
	DESTDIR = "$$OUT_PWD\builds\Win32\Debug"
	QMAKE_POST_LINK += MKDIR \"$$DESTDIR\data\\\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\glew32d.dll\" \"$$DESTDIR\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\freeglut.dll\" \"$$DESTDIR\"
}

win32:CONFIG(release, debug|release) {
	LIBS += -L\"$$DAHLIA_VC\lib\Win32\Release\" -lfreeglut -lglew32 -lglu32 -lopengl32

	DLL_DIR = "$$DAHLIA_VC\dll\Win32\Release"
	DESTDIR = "$$OUT_PWD\builds\Win32\Release"
	QMAKE_POST_LINK += MKDIR \"$$DESTDIR\data\\\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\glew32.dll\" \"$$DESTDIR\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\freeglut.dll\" \"$$DESTDIR\"
}

win64:CONFIG(debug, debug|release) {
	LIBS += -L\"$$DAHLIA_VC\lib\x64\Debug\" -lfreeglut -lglew32d -lglu32 -lopengl32

	DLL_DIR = "$$DAHLIA_VC\dll\x64\Debug"
	DESTDIR = "$$OUT_PWD\builds\x64\Debug"
	QMAKE_POST_LINK += MKDIR \"$$DESTDIR\data\\\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\glew32d.dll\" \"$$DESTDIR\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\freeglut.dll\" \"$$DESTDIR\"
}

win64:CONFIG(release, debug|release) {
	LIBS += -L\"$$DAHLIA_VC\lib\x64\Release\" -lfreeglut -lglew32 -lglu32 -lopengl32

	DLL_DIR = "$$DAHLIA_VC\dll\x64\Release"
	DESTDIR = "$$OUT_PWD\builds\x64\Release"
	QMAKE_POST_LINK += MKDIR \"$$DESTDIR\data\\\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\glew32.dll\" \"$$DESTDIR\"
	QMAKE_POST_LINK += && COPY /y \"$$DLL_DIR\freeglut.dll\" \"$$DESTDIR\"
}

win* {
	QMAKE_POST_LINK += && COPY /y \"data\color.frag\" \"$${DESTDIR}\data\\\"
	QMAKE_POST_LINK += && COPY /y \"data\color.vert\" \"$${DESTDIR}\data\\\"
}

HEADERS += \
	src/textfile.h


OTHER_FILES += \
	data/shaders/basic.vert \
	data/shaders/basic.frag


